/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
/* line 6, ../sass/_partials/_reset.scss */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
/* line 27, ../sass/_partials/_reset.scss */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

/* line 31, ../sass/_partials/_reset.scss */
body {
  line-height: 1;
}

/* line 34, ../sass/_partials/_reset.scss */
ol, ul {
  list-style: none;
}

/* line 37, ../sass/_partials/_reset.scss */
blockquote, q {
  quotes: none;
}

/* line 40, ../sass/_partials/_reset.scss */
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

/* line 45, ../sass/_partials/_reset.scss */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* line 8, ../sass/_partials/_globals.scss */
.section-content {
  max-width: 92%;
  width: 30rem;
  margin: auto;
  padding: 1rem 0;
}

/* line 1, ../sass/_partials/_modals.scss */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(255, 255, 255, 0.2);
  z-index: 12;
  transition: all .15s;
  opacity: 1;
}
/* line 11, ../sass/_partials/_modals.scss */
.modal.ng-hide {
  opacity: 0;
}
/* line 14, ../sass/_partials/_modals.scss */
.modal .modal-background {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(255, 255, 255, 0.2);
}
/* line 22, ../sass/_partials/_modals.scss */
.modal .modal-header {
  margin-bottom: .5rem;
  font-weight: 600;
  font-size: 1.2rem;
  color: #004359;
}
/* line 27, ../sass/_partials/_modals.scss */
.modal .modal-header .close-modal-button {
  border: 0px none;
  background: transparent none repeat scroll 0% 0%;
  position: absolute;
  top: 1rem;
  right: 1rem;
  padding: 0;
  width: 1.4rem;
  cursor: pointer;
}
/* line 36, ../sass/_partials/_modals.scss */
.modal .modal-header .close-modal-button:hover {
  opacity: .75;
}
/* line 40, ../sass/_partials/_modals.scss */
.modal .modal-header .close-modal-button .button-graphic {
  max-width: 100%;
  max-height: 100%;
}
/* line 47, ../sass/_partials/_modals.scss */
.modal .modal-window {
  width: 26rem;
  max-width: 94%;
  padding: 1rem;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) scale(1);
  background: #fff;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  border-radius: 2px;
  transition: all ease .25s;
  box-sizing: border-box;
}
/* line 60, ../sass/_partials/_modals.scss */
.modal .modal-window p {
  margin-bottom: 1rem;
}
/* line 63, ../sass/_partials/_modals.scss */
.modal .modal-window input {
  display: block;
  line-height: 2;
  margin-bottom: 1rem;
  width: 100%;
  box-sizing: border-box;
}
/* line 70, ../sass/_partials/_modals.scss */
.modal .modal-window .submit-button {
  display: inline-block;
  border: 0;
  line-height: 2rem;
  border-radius: 2px;
  color: #fff;
  background: #FF7400;
  padding: 0 1rem;
  text-transform: uppercase;
  font-weight: 600;
  font-size: .75rem;
  letter-spacing: 1px;
  letter-spacing: 1px;
  cursor: pointer;
  float: right;
}
/* line 47, ../sass/_partials/_mixins.scss */
.modal .modal-window .submit-button:hover, .modal .modal-window .submit-button:focus {
  background: #ff9033;
}
/* line 51, ../sass/_partials/_mixins.scss */
.modal .modal-window .submit-button:active {
  background: #cc5d00;
}
/* line 74, ../sass/_partials/_modals.scss */
.modal .modal-window .retry-button {
  display: inline-block;
  border: 0;
  line-height: 2rem;
  border-radius: 2px;
  color: #fff;
  background: #FF7400;
  padding: 0 1rem;
  text-transform: uppercase;
  font-weight: 600;
  font-size: .75rem;
  letter-spacing: 1px;
  letter-spacing: 1px;
  cursor: pointer;
  float: right;
}
/* line 47, ../sass/_partials/_mixins.scss */
.modal .modal-window .retry-button:hover, .modal .modal-window .retry-button:focus {
  background: #ff9033;
}
/* line 51, ../sass/_partials/_mixins.scss */
.modal .modal-window .retry-button:active {
  background: #cc5d00;
}
/* line 10, ../sass/_partials/_mixins.scss */
.modal .modal-window .modal-body:after {
  content: "";
  display: table;
  clear: both;
}
/* line 81, ../sass/_partials/_modals.scss */
.modal .modal-window.ng-hide {
  transform: translate(-50%, -50%) scale(0.5);
  opacity: 0;
}
/* line 86, ../sass/_partials/_modals.scss */
.modal .modal-footer {
  margin-top: 1rem;
  text-align: right;
}

/* line 1, ../sass/_partials/_typography.scss */
body {
  font-size: 16px;
  font-family: 'Open Sans';
  letter-spacing: .03em;
  line-height: 1.4;
}

/* line 7, ../sass/_partials/_typography.scss */
.section-content p {
  margin-bottom: 1rem;
}

/* line 10, ../sass/_partials/_typography.scss */
a {
  text-decoration: none;
}

@keyframes shake {
  0% {
    transform: rotate(3deg);
  }
  5% {
    transform: rotate(-2.5deg);
  }
  10% {
    transform: rotate(2deg);
  }
  15% {
    transform: rotate(-1.5deg);
  }
  20% {
    transform: rotate(1deg);
  }
  25% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
@keyframes pulsate {
  0%,100% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
}
/* line 1, ../sass/_partials/_intro.scss */
.intro {
  color: #fff;
  text-align: center;
}
/* line 4, ../sass/_partials/_intro.scss */
.intro p {
  margin-bottom: 1rem;
  font-size: 1.2rem;
}
/* line 8, ../sass/_partials/_intro.scss */
.intro .intro-title {
  font-weight: 600;
  font-size: 2.6rem;
  text-align: center;
  margin-bottom: .25rem;
}
/* line 14, ../sass/_partials/_intro.scss */
.intro .section-content {
  width: 22rem;
  padding-top: 4rem;
}

/* line 9, ../sass/style.scss */
body {
  background-color: #004359;
  min-width: 300px;
  padding-bottom: 4rem;
}

/* line 14, ../sass/style.scss */
.gift {
  position: relative;
  text-align: center;
  padding: 6rem 0 2rem;
}
/* line 18, ../sass/style.scss */
.gift .gift-container {
  position: relative;
  width: 30rem;
  max-width: 90%;
  margin: auto;
}
/* line 23, ../sass/style.scss */
.gift .gift-container.waiting {
  animation: shake 2s infinite;
  animation-delay: 1s;
}
/* line 27, ../sass/style.scss */
.gift .gift-container .gift-wrap {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  background-position: center center;
  background-repeat: no-repeat;
  z-index: 2;
  cursor: pointer;
  background-size: 100% 100%;
  transition: all .5s ease-in;
}
/* line 35, ../sass/style.scss */
.gift .gift-container .gift-wrap:before {
  content: '';
  display: block;
  background: url("/img/box-one-bow.svg") no-repeat center bottom;
  background-size: 100% 100%;
  width: 190px;
  height: 80px;
  position: absolute;
  top: -57px;
  left: 50%;
  margin-left: -95px;
}
/* line 47, ../sass/style.scss */
.gift .gift-container .gift-wrap.green-box {
  background-image: url(/img/box-green.svg);
}
/* line 50, ../sass/style.scss */
.gift .gift-container .gift-wrap.yellow-box {
  background-image: url(/img/box-yellow.svg);
}
/* line 53, ../sass/style.scss */
.gift .gift-container .gift-wrap.teal-box {
  background-image: url(/img/box-teal.svg);
}
/* line 56, ../sass/style.scss */
.gift .gift-container .gift-wrap.ng-hide {
  transform: translate(0, -200%);
}
/* line 60, ../sass/style.scss */
.gift .gift-container .gift-content {
  display: block;
  color: #fff;
  position: relative;
  z-index: 0;
  padding: 2rem 2rem;
}
/* line 66, ../sass/style.scss */
.gift .gift-container .gift-content.hidden {
  opacity: 0;
}
/* line 69, ../sass/style.scss */
.gift .gift-container .gift-content .gift-message {
  padding: 1rem;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 2px;
}
/* line 73, ../sass/style.scss */
.gift .gift-container .gift-content .gift-message .message-title {
  margin-bottom: .25rem;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 1.2rem;
  line-height: 1.16;
  letter-spacing: 1px;
  color: #BDDD22;
}
/* line 82, ../sass/style.scss */
.gift .gift-container .gift-content .gift-message .message-text {
  display: block;
  margin-bottom: 2rem;
}
/* line 86, ../sass/style.scss */
.gift .gift-container .gift-content .gift-message .message-image {
  max-width: 100%;
  max-height: 20rem;
  height: auto;
  display: block;
  margin: 0 auto 2rem;
}
/* line 93, ../sass/style.scss */
.gift .gift-container .gift-content .gift-message .message-button {
  display: inline-block;
  border: 0;
  line-height: 2rem;
  border-radius: 2px;
  color: #fff;
  background: #FF7400;
  padding: 0 1rem;
  text-transform: uppercase;
  font-weight: 600;
  font-size: .75rem;
  letter-spacing: 1px;
  letter-spacing: 1px;
  cursor: pointer;
}
/* line 47, ../sass/_partials/_mixins.scss */
.gift .gift-container .gift-content .gift-message .message-button:hover, .gift .gift-container .gift-content .gift-message .message-button:focus {
  background: #ff9033;
}
/* line 51, ../sass/_partials/_mixins.scss */
.gift .gift-container .gift-content .gift-message .message-button:active {
  background: #cc5d00;
}
/* line 99, ../sass/style.scss */
.gift .gift-lock {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
  z-index: 10;
  background: rgba(0, 67, 89, 0.8);
  opacity: 1;
}
/* line 104, ../sass/style.scss */
.gift .gift-lock:hover {
  background: rgba(0, 67, 89, 0.7);
}
/* line 107, ../sass/style.scss */
.gift .gift-lock.ng-hide {
  opacity: 0;
  transition: all .5s;
}
/* line 110, ../sass/style.scss */
.gift .gift-lock.ng-hide .unlock-button {
  transform: rotate(360deg) scale(0);
  transition: all 1s;
}
/* line 113, ../sass/style.scss */
.gift .gift-lock.ng-hide .unlock-button .button-text {
  display: none;
}
/* line 118, ../sass/style.scss */
.gift .gift-lock .unlock-button {
  color: #fff;
  border: 0;
  padding: 0;
  margin: 0;
  background: transparent;
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: block;
}
/* line 126, ../sass/style.scss */
.gift .gift-lock .unlock-button .button-text {
  display: block;
  padding: .5rem;
  opacity: .8;
  font-size: .875rem;
}
/* line 132, ../sass/style.scss */
.gift .gift-lock .unlock-button img {
  width: 4rem;
}

/* line 138, ../sass/style.scss */
.completion-message-toggle {
  position: fixed;
  top: 1rem;
  right: 1rem;
  z-index: 20;
  width: 3rem;
  height: 3rem;
  border-radius: 100%;
  border: 0;
  background: #FF7400;
  animation: pulsate 1s infinite;
  cursor: pointer;
  box-shadow: 0 10px 5px rgba(0, 0, 0, 0.2);
}
/* line 151, ../sass/style.scss */
.completion-message-toggle .button-graphic {
  width: 1.4rem;
  position: relative;
  top: 2px;
}

/* line 157, ../sass/style.scss */
.completion-message {
  box-sizing: border-box;
  position: fixed;
  height: 100%;
  bottom: 0;
  width: 100%;
  padding: 2rem;
  background: #fff;
  z-index: 20;
  transition: all .25s;
  transform: translateY(0);
  box-shadow: 0px -8px 0px rgba(0, 0, 0, 0.25);
  overflow: auto;
}
/* line 170, ../sass/style.scss */
.completion-message.ng-hide {
  transform: translateY(100%);
}
/* line 173, ../sass/style.scss */
.completion-message .close-overlay-button {
  border: 0px none;
  background: transparent none repeat scroll 0% 0%;
  position: fixed;
  top: 1rem;
  right: 1rem;
  padding: 0;
  width: 1.4rem;
  cursor: pointer;
}
/* line 182, ../sass/style.scss */
.completion-message .close-overlay-button:hover {
  opacity: .75;
}
/* line 185, ../sass/style.scss */
.completion-message .close-overlay-button .button-graphic {
  max-width: 100%;
  max-height: 100%;
}
/* line 190, ../sass/style.scss */
.completion-message .message-title {
  margin-bottom: 1rem;
  font-weight: 600;
  font-size: 1.2rem;
}
